import request from '@/utils/request'

/**
 * 查询所有三元组
 * @param {Object} data - 请求参数
 * @returns {Promise} - 返回请求Promise
 */
export function getERList(data) {
  return request({
    url: '/kgqa/relation/getAllTriples',
    method: 'get',
    data: data
  })
}

/**
 * 查询数据库中目前已经有的关系
 * @param {Object} data - 请求参数
 * @returns {Promise} - 返回请求Promise
 */
export function getAllRelationClass(data) {
  return request({
    url: '/kgqa/relation/getAllRelationClass',
    method: 'get',
    data: data
  })
}

/**
 * 新增关系
 * @param {Object} data - 请求参数
 * @returns {Promise} - 返回请求Promise
 */
export function addRelation(data) {
  return request({
    url: '/kgqa/relation/Add',
    method: 'post',
    data: data
  })
}

/**
 * 修改关系
 * @param {Object} data - 请求参数
 * @returns {Promise} - 返回请求Promise
 */
export function updateRelation(data) {
  return request({
    url: '/kgqa/relation/Update',
    method: 'post',
    data: data
  })
}

/**
 * 删除关系
 * @param {Object} data - 请求参数
 * @returns {Promise} - 返回请求Promise
 */
export function deleteRelation(data) {
  return request({
    url: '/kgqa/relation/Delete',
    method: 'post',
    data: data
  })
}
